use "E:\ݺϼ\CGSS\CGSS2012.DTA",clear

recode m17 -3/-1=.,gen(htime)
recode m19 -3/-1=.,gen(phtime)
recode htime 0=0.01
recode phtime 0=0.01
gen bili=htime/(htime+phtime)
recode a69 -3/-1=. 1/2=0 3/5=1 6/7=0,gen(marriage)
gen age=2012-a3a
drop if htime==. | phtime==. | marriage==0 | age>=65
recode a8a 9999996/9999999=.
replace a8a=1 if a8a==0
gen incyear=0
replace incyear=ln(a8a)
recode a75a 9999996/9999999=.
replace a75a=1 if a75a==0
gen pincyear=0
replace pincyear=ln(a75a)
gen chayi=a8a-a75a
gen zonghe=a8a+a75a
gen reliance=chayi/zonghe
gen reliance2=reliance*reliance
recode a53a -3/-1=. 100/219=100,gen(wtime)
recode a76a -3/-1=. 100/576=100,gen(pwtime)
recode a53 1=1 2/4=0
gen wtime1=0
replace wtime1=0 if a53==0
replace wtime1=wtime if a53==1
recode a76 1=1 2/4=0
gen pwtime1=0
replace pwtime1=0 if a76==0
replace pwtime1=pwtime if a76==1
recode a421 -3/-1=.,gen(na421)
recode a422 -3/-1=.,gen(na422)
recode a423 -3/-1=.,gen(na423)
recode a424 -3/-1=.,gen(na424)
recode a425 -3/-1=. 1=5 2=4 3=3 4=2 5=1,gen(na425)
gen gi=na421+na422+na423+na424+na425
gen gi1=gi/5
recode a681 -3/-1=.
recode a682 -3/-1=.
gen childnum=a681+a682
recode a2 1=0 2=1,gen(female)
recode a18 1=0 2/5=1 else=.,gen(hukou)
recode a10 1=1 2/4=0 -3/-1=.,gen(party)



recode a7a -3/-1=.
gen primary=0
replace primary=1 if a7a<4
gen junior=0
replace junior=1 if a7a==4
gen senior=0
replace senior=1 if a7a>4 & a7a<=8
gen college=0
replace college=1 if a7a>8
recode a15 -3/-1=.,gen(zpjk)
recode a62 9999997/9999999=.
replace a62=1 if a62==0
gen fincyear=0
replace fincyear=ln(a62)
drop if a53a<0 | a76a<0 | a8a<0 | a8a>9999996 | a75a<0 | a75a>9999996 | a15<0 | a681<0 | a682<0 | a421<0 | a422<0 | a423<0 | a424<0 | a425<0 | a10<0 | a7a<0 | a18<0 | a62<0 | a62>9999996 | htime<0 | htime>100 | phtime<0 | phtime>100 | a681>8 | a682>7


sum bili reliance reliance2 incyear pincyear wtime1 pwtime1 gi1 childnum age hukou party junior senior college zpjk fincyear if female==1
gen fage=age-41.511
gen fage2=fage*fage
reg bili reliance reliance2 if female==1 
est store m11
reg bili incyear pincyear if female==1
est store m12
reg bili reliance reliance2 incyear pincyear if female==1
est store m13
reg bili reliance reliance2 incyear pincyear wtime1 pwtime1 gi1 childnum fage fage2 hukou party junior senior college zpjk fincyear if female==1
est store m14


sum bili reliance reliance2 incyear pincyear wtime1 pwtime1 gi1 childnum age hukou party junior senior college zpjk fincyear if female==0
gen mage=age-42.817
gen mage2=mage*mage
reg bili reliance reliance2 if female==0 
est store m21
reg bili incyear pincyear if female==0
est store m22
reg bili reliance reliance2 incyear pincyear if female==0
est store m23
reg bili reliance reliance2 incyear pincyear wtime1 pwtime1 gi1 childnum fage fage2 hukou party junior senior college zpjk fincyear if female==0
est store m24

reg bili reliance reliance2 incyear if female==0 
est store m31
reg bili reliance reliance2 pincyear if female==0
est store m32
reg bili reliance reliance2 incyear pincyear if female==0
est store m33
reg bili reliance reliance2 incyear pincyear wtime1 pwtime1 gi1 childnum fage fage2 hukou party junior senior college zpjk fincyear if female==0
est store m34

outreg2 [m11 m12 m13 m14] using 1.doc,alpha(0.001, 0.01, 0.05)
outreg2 [m21 m22 m23 m24] using 2.doc,alpha(0.001, 0.01, 0.05)
outreg2 [m31 m32 m33 m34] using 3.doc,alpha(0.001, 0.01, 0.05)











